package cn.iocoder.yudao.module.system.dal.dataobject.houselocation;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 取货点位绑定 DO
 *
 * @author 陈宾顺
 */
@TableName("ware_house_take_point_binding")
@KeySequence("ware_house_take_point_binding_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WareHouseTakePointBindingDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 类型, 0:设备
     */
    private Integer bindingType;
    /**
     * 设备id
     */
    private Long bindingId;
    /**
     * 取货点位表id
     */
    private Long takePointId;

}