package cn.iocoder.yudao.module.system.dal.dataobject.houselocation;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 取货点位 DO
 *
 * @author 陈宾顺
 */
@TableName("ware_house_take_point")
@KeySequence("ware_house_take_point_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WareHouseTakePointDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 点位类型名称
     */
    private String pointName;
    /**
     * 点位类型 0:翻转机设备, 1:普通取放货点位
     */
    private Integer pointType;
    /**
     * 总高度
     */
    private BigDecimal totalHeight;
    /**
     * 托盘高度
     */
    private BigDecimal trayHeight;
    /**
     * 点位状态, 0:空闲, 1:有货
     */
    private Integer pointStatus;
    /**
     * 地图id
     */
    private Long positionMapId;
    /**
     * 地图字表节点id
     */
    private Long positionMapItemId;
    /**
     * 实际坐标x轴
     */
    private String actualLocationX;
    /**
     * 实际坐标y轴
     */
    private String actualLocationY;
    /**
     * 层数
     */
    private Integer locationStorey;
    /**
     * 排序的位置,越大越优先堆放
     */
    private Long locationNumber;
    /**
     * 巷道id(不关联其他表), 检测区的唯一就可以
     */
    private Long laneId;
    /**
     * 物料信息
     */
    private String skuInfo;
    /**
     * 物料数量
     */
    private Long skuNumber;

}